# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class ResourceProperty

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.calendar.ResourceProperty

All Implemented Interfaces:
  Extension

    public class ResourceProperty

extends AbstractExtension

GData schema extension describing whether gd:who is a resource, such as a conference room.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static ResourceProperty` `FALSE`
`protected java.lang.String` `id`
`static ResourceProperty` `TRUE`
`protected java.lang.String` `value`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ResourceProperty()`
`ResourceProperty(java.lang.String value)`

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `equals(java.lang.Object o)`
`static ExtensionDescription` `getDefaultDescription()`
`java.lang.String` `getId()`
`java.lang.String` `getValue()`
`int` `hashCode()`
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setId(java.lang.String resId)`
`void` `setValue(java.lang.String value)`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRUE

    public static final ResourceProperty TRUE

### FALSE

    public static final ResourceProperty FALSE

### id

    protected java.lang.String id

### value

    protected java.lang.String value

Constructor Detail

### ResourceProperty

    public ResourceProperty()

### ResourceProperty

    public ResourceProperty(java.lang.String value)

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String resId)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`